% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/think_barley_dataset.R
\docType{data}
\name{think_barley.rda}
\alias{think_barley.rda}
\alias{G.in_ex}
\alias{G.in_ex_mat}
\alias{G.in_ex_imputed}
\alias{y.in_ex}
\alias{map.in_ex}
\alias{cross.tab_ex}
\title{An example barley dataset}
\format{
The names of the example files are:
\describe{
\item{G.in_ex}{A set of 245 barley lines genotyped with 742 SNP markers}
\item{G.in_ex_mat}{A n x p matrix of n = 245 barley lines genotyped with p = 742 SNP markers}
\item{G.in_ex_imputed}{A n x p matrix of n = 245 barley lines and p = 742 \emph{imputed} SNP marker genotypes}
\item{y.in_ex}{Phenotypes of four traits for a portion of the 245 barley lines, Fusarium head blight (FHB), deoxynivalenol (DON) in ppm, grain yield in bushels/acre, and plant height in cm.}
\item{map.in_ex}{Genetic map (i.e. chromosome assignment and genetic distance (cM) between markers) of the 742 SNP markers based on \cite{Munoz-Amatriain et al., 2011}}
\item{cross.tab_ex}{A table of user-defined crosses}
}
}
\description{
A sample dataset, previously described in \cite{Sallam et al. (2014)} is provided as an example of the proper formatting of input files and also for users to become familiar with \code{PopVar}; the \code{think_barley} dataset is useful in demonstrating both \code{\link{pop.predict}} and \code{\link{x.val}}. Note that a number of entries are missing data for one or both traits,
which is representative of a real breeding scenario where phenotypic data may not be available for all parent candidates.
}
\references{
Sallam, A.H., J.B. Endelman, J-L. Jannink, and K.P. Smith. 2015. Assessing Genomic Selection Prediction Accuracy in a Dynamic Barley Breeding Population. Plant Gen. 8(1)
}
